/// <reference types="react" />
import { ButtonAlign, ButtonShape, ButtonSize, ButtonVariant, ButtonWidth } from './Button.type';
export interface StyledButtonProps {
    $width: ButtonWidth;
    $size: ButtonSize;
    $variant: ButtonVariant;
    $shape: ButtonShape;
    $align: ButtonAlign;
    $iconOnly: boolean;
}
export declare const getSizeStyle: (props: StyledButtonProps) => "\n                    font-size: 14px;\n                    width: 32px;\n                    height: 32px;\n                " | "\n                    font-size: 14px;\n                    width: 40px;\n                    height: 40px;\n                " | "\n                    font-size: 16px;\n                    width: 48px;\n                    height: 48px;\n                " | "\n                font-size: 14px;\n                padding: 0px 12px;\n                height: 32px;\n            " | "\n                font-size: 14px;\n                padding: 0px 16px;\n                height: 40px;\n            " | "\n                font-size: 16px;\n                padding: 0px 20px;\n                height: 48px;\n            ";
export declare const getShapeStyle: ({ $size, $shape }: StyledButtonProps) => string;
export declare const getVariantStyle: ({ $variant }: StyledButtonProps) => string;
export declare const StyledButton: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, StyledButtonProps>>;
