/// <reference types="react" />
export type FlexProps = React.ComponentPropsWithRef<'div'> & {
    gap?: string;
    direction?: 'row' | 'column';
    align?: 'center' | 'start' | 'end' | 'stretch' | 'baseline';
    justify?: 'center' | 'start' | 'end' | 'space-between' | 'space-around' | 'space-evenly';
    wrap?: 'wrap' | 'nowrap' | 'wrap-reverse';
    width?: string;
};
export type SubFlexProps = React.ComponentPropsWithRef<'div'> & {
    gap?: string;
    width?: string;
};
declare const FlexCenter: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
declare const FlexBetween: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
declare const FlexColumn: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
declare const FlexRow: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export { FlexCenter, FlexBetween, FlexColumn, FlexRow };
export declare const Flex: import("react").ForwardRefExoticComponent<Omit<FlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>> & {
    Center: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    Between: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    Column: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    Row: import("react").ForwardRefExoticComponent<Omit<SubFlexProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
};
